org.apache.lucene.util.bkd

## Class BKDReader.IntersectState

- java.lang.Object
- - org.apache.lucene.util.bkd.BKDReader.IntersectState

- Enclosing class:
    BKDReader

      public static final class BKDReader.IntersectState
      extends Object

  Used to track all state for a single call to `BKDReader.intersect(org.apache.lucene.index.PointValues.IntersectVisitor)`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BKDReader.IndexTree` | `index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntersectState(IndexInput in, int numDims, int packedBytesLength, int packedIndexBytesLength, int maxPointsInLeafNode, PointValues.IntersectVisitor visitor, BKDReader.IndexTree indexVisitor)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### index

          public final BKDReader.IndexTree index

  - ### Constructor Detail

    - #### IntersectState

          public IntersectState(IndexInput in,
                                int numDims,
                                int packedBytesLength,
                                int packedIndexBytesLength,
                                int maxPointsInLeafNode,
                                PointValues.IntersectVisitor visitor,
                                BKDReader.IndexTree indexVisitor)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.